<?php

namespace helpers;

use Exception;
use objects\products_o;

class xlvask_parser_lille_bil extends xlvask_product_parser
{
    use xlvask_product_parser_t;

    public function __construct()
    {
        $this->setup('Lille bil');
    }


    /**
     * @inheritDoc
     * @throws Exception
     */
    protected function parse(xlvask_wash_item $wash_item, xlvask_usage_log $xlvask_usage_log): products_o
    {
        // For some reason, in XLVask the primary product is stored as vask_udf_rt in some cases,
        // This is a workaround to handle that case. (Since the functionality is exactly the same as // xlvask_parser_stor_bil)
        return (new xlvask_parser_stor_bil())->parseProduct(...func_get_args());
    }
}